## org.w3c.dom.svg
Interface SVGTransformList

All Known Implementing Classes:
  AbstractSVGTransformList

public interface SVGTransformList

Method Summary
`SVGTransform` `appendItem(SVGTransform newItem)`
`void` `clear()`
`SVGTransform` `consolidate()`
`SVGTransform` `createSVGTransformFromMatrix(SVGMatrix matrix)`
`SVGTransform` `getItem(int index)`
`int` `getNumberOfItems()`
`SVGTransform` `initialize(SVGTransform newItem)`
`SVGTransform` `insertItemBefore(SVGTransform newItem, int index)`
`SVGTransform` `removeItem(int index)`
`SVGTransform` `replaceItem(SVGTransform newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public SVGTransform initialize(SVGTransform newItem)
                            throws org.w3c.dom.DOMException,
                                   SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGTransform getItem(int index)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGTransform insertItemBefore(SVGTransform newItem,
                                         int index)
                                  throws org.w3c.dom.DOMException,
                                         SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGTransform replaceItem(SVGTransform newItem,
                                    int index)
                             throws org.w3c.dom.DOMException,
                                    SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGTransform removeItem(int index)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGTransform appendItem(SVGTransform newItem)
                            throws org.w3c.dom.DOMException,
                                   SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### createSVGTransformFromMatrix

    public SVGTransform createSVGTransformFromMatrix(SVGMatrix matrix)

### consolidate

    public SVGTransform consolidate()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.